Version: 0.13.0 0S: Linux
Description

Doing the following steps on Debian 10.2:

# apt-get install quassel-core

Starting graphical Quassel client, connecting and adding admin user.

Then trying to add another user:

# su - quasselcore -s /bin/bash -c '/usr/bin/quasselcore —--add-user --configdir=/var/lib/quassel’
This is failing with error:

[Error] Cannot open port for listening!

History

#1 - 01/15/2020 05:08 PM - fdik

This is a problem with apparmor on Debian.

Solution:

# apt-get install quassel-core

# aa-complain /usr/bin/quasselcore

# service apparmor restart

Starting graphical Quassel client, connecting and adding admin user.

Then adding a user with this is working:

su — quasselcore -s /bin/bash -c '/usr/bin/quasselcore --add-user --configdir=/var/lib/quassel’

#2 - 01/15/2020 05:19 PM - fdik

If you don't find aa-complain on your system install apparmor-utils

#3 - 06/20/2020 11:59 PM - digitalcircuit

- Status changed from New to Closed

This should be fixed with a newer Debian package as well:
https://salsa.debian.org/qt-kde-team/extras/quassel/-/commit/de4b3bc5fefa3e2928745f24acb18cad4b75599f6

Feel free to re-open the issue if it remains!
